Get external workshop
Get a given external workshop.
Required permissions: SERVICE_ORDER
get/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+externalWorkshopUidstringRequiredPattern:
Reference to an external workshop.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
externalWorkshopUidstringRequiredPattern:
^[A-Za-z0-9-_]+companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
contactNamestringRequired
notestringRequired
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid}
GET /v2/tenants/{tenantUid}/serviceorders/externalworkshops/{externalWorkshopUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"externalWorkshopUid": "text",
"companyName": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"contactName": "text",
"note": "text",
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}Last updated
Was this helpful?

